function f_WriteVol(filepath,vol,tMat,varargin)

% Write volume vol w/ transformation matrix tMat to .img file
%
% It doesn't write the associated .hdr
%
% Don Vaughn

%Parse then Initialize Inputs
p = inputParser;
p.addRequired('filenameOrFilepath',@(x)ischar(x));
p.addRequired('vol',@isnumeric);
p.addParamValue('dim',size(vol),@isnumeric)
p.addParamValue('dt',[16 0],@isnumeric)
p.addParamValue('pinfo',[1 0 0]',@isnumeric)
p.addParamValue('n',[1 1]',@isnumeric)
p.addParamValue('descrip','Don wrote me a vol!',@ischar)
p.parse(filepath,vol,varargin{:});
vars = fields(p.Results);
for i = 1:numel(vars)
    eval([vars{i} '=p.Results.' vars{i} ';'])
end

[fileDir fileName] = fileparts(filepath);

if ~isempty(fileDir)
    cd(fileDir)
end

volInfo = struct('fname',[fileName '.img'],'mat',tMat,'dim',dim,'dt',dt,'pinfo',pinfo,'n',n,'descrip',descrip);
spm_write_vol(volInfo,vol);